package com.rehome.jpahefengweather.service;

import com.rehome.jpahefengweather.entity.HefengCity;
import com.rehome.jpahefengweather.entity.HefengProvince;

import java.util.List;

public interface CityService {
    /**
     * 保存省份列表
     * @param provinceList
     */
    void saveProvinceList(List<HefengProvince> provinceList);
    /**
     * 保存城市列表
     * @param cityList
     */
    void saveCityList(List<HefengCity> cityList);
    /**
     * 查询全国3000+个市县区
     * @return List
     */
    List<HefengCity> findAllCity();
    /**
     * 省份编号查城市列表
     * @return List
     */
    List<HefengCity> findCityByProvinceCode(String provinceCode);
    /**
     * 城市编号查区县和城市列表
     * @return List
     */
    List<HefengCity> findCityByCityCode(String cityCode);
    /**
     * 区、县位置 英文名称查区县和城市列表
     * @return List
     */
    List<HefengCity> findByLocationNameEn(String locationNameEn);
    /**
     * 查询全国3000+个市县区
     * @return List
     */
    List<HefengProvince> findAllProvince();
}
